Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface SSLConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface SSLConfig
extends ConfigElement

Base interface Configuration for an <ssl> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getCertNickname()`
`boolean` | `getClientAuthEnabled()`
`java.lang.String` | `getSSL2Ciphers()`
`boolean` | `getSSL2Enabled()`
`boolean` | `getSSL3Enabled()`
`java.lang.String` | `getSSL3TLSCiphers()`
`boolean` | `getTLSEnabled()`
`boolean` | `getTLSRollbackEnabled()`
`void` | `setCertNickname(java.lang.String value)`
`void` | `setClientAuthEnabled(boolean value)`
`void` | `setSSL2Ciphers(java.lang.String value)`
`void` | `setSSL2Enabled(boolean value)`
`void` | `setSSL3Enabled(boolean value)`
`void` | `setSSL3TLSCiphers(java.lang.String value)`
`void` | `setTLSEnabled(boolean value)`
`void` | `setTLSRollbackEnabled(boolean value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getCertNickname

    public java.lang.String getCertNickname()

### setCertNickname

    public void setCertNickname(java.lang.String value)

### getClientAuthEnabled

    public boolean getClientAuthEnabled()

### setClientAuthEnabled

    public void setClientAuthEnabled(boolean value)

### getSSL2Ciphers

    public java.lang.String getSSL2Ciphers()

### setSSL2Ciphers

    public void setSSL2Ciphers(java.lang.String value)

### getSSL2Enabled

    public boolean getSSL2Enabled()

### setSSL2Enabled

    public void setSSL2Enabled(boolean value)

### getSSL3Enabled

    public boolean getSSL3Enabled()

### setSSL3Enabled

    public void setSSL3Enabled(boolean value)

### getSSL3TLSCiphers

    public java.lang.String getSSL3TLSCiphers()

### setSSL3TLSCiphers

    public void setSSL3TLSCiphers(java.lang.String value)

### getTLSEnabled

    public boolean getTLSEnabled()

### setTLSEnabled

    public void setTLSEnabled(boolean value)

### getTLSRollbackEnabled

    public boolean getTLSRollbackEnabled()

### setTLSRollbackEnabled

    public void setTLSRollbackEnabled(boolean value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.